Subject: Re: is it kosher for pre-commit to change what's staged?

From: Joey Hess <[email-masked]>
Date: Thu, 11 Nov 2010 16:46:26 -0400

Jan Hudec wrote:
> The problem point is not big files, but whether they can change the file mode
> associated with the entry, since in this case the tree contains a file, but
> index should contain a symlink. Looking at the documentation, there does not
> seem to be a way to do it.
> 
> It might be worth adding support for it now we have a use-case.

I suppose that if I were using smudge filters, I'd probably not need to
use symlinks at all. I'll think about it.

It belatedly occured to me that I already had something else modifying
the index in pre-commit, and smudge filters cannot handle its use case.

That is, etckeeper (http://kitenet.net/~joey/code/etckeeper). The
pre-commit script there stores some metadata about files that git
usually doesn't track, by putting it in a dotfile, and stages that
dotfile for commit. Which currently works fine, except for the minor
problem that the user doesn't see the dotfile listed in the commit
message.

-- 
see shy jo